<?php

namespace Luticate\Utils;


class LuOutputFormatter
{
    public static $APP_VERSION = 1.0;

    public static function formatSuccess($data)
    {
        $r = new LuRequestDbo();
        $r->setVersion(self::$APP_VERSION);
        $r->setData($data);
        $r->setStatusCode(200);
        return $r;
    }

    public static function formatError($code, $message)
    {
        $r = new LuRequestDbo();
        $r->setVersion(self::$APP_VERSION);
        $r->setMessage($message);
        $r->setStatusCode($code);
        return $r;
    }
}