<?php
/**
 * Created by PhpStorm.
 * User: robin
 * Date: 5/29/16
 * Time: 2:41 PM
 */

namespace Luticate\Utils\Dbo;


use Luticate\Utils\LuBusiness;
use Luticate\Utils\LuDbo;

class LuStringDbo extends LuDbo
{
    /**
     * @var $_value string
     */
    private $_value;

    /**
     * @return string
     */
    public function getString()
    {
        return $this->_value;
    }

    /**
     * @param string $value
     */
    public function setString($value)
    {
        $this->_value = $value;
    }

    function jsonSerialize()
    {
        return $this->_value;
    }

    public static function jsonDeserialize($json)
    {
        if (is_object($json) || is_array($json) || is_bool($json) || is_null($json)) {
            LuBusiness::badInput("Invalid string value");
        }
        $val = new self();
        $val->setString($json . "");
        return $val;
    }

    public static function generateSample()
    {
        return "sample string";
    }
}